package com.bytesw.bytebot.model;

import lombok.*;
import org.hibernate.envers.Audited;

import javax.persistence.*;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 10-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Audited
@Entity
@Getter @Setter
@NoArgsConstructor
@Table(name = "avb_timezone")
@NamedQuery(name = "Timezone.findByPK", query = "Select u from Timezone u where u.id = ?1")
public class Timezone {

    @Id
    @Column(name = "tzon_id")
    @SequenceGenerator(name = "avb_timezone_generator", sequenceName = "AVB_TIMEZONE_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "avb_timezone_generator")
    private Long id;

    @Column(name = "tzon_zone", nullable = false)
    private String timezone;

    @ManyToOne
    @JoinColumn(name = "coun_id", referencedColumnName = "coun_id")
    private Country country;
}
